Register with email and password

POST/auth/v1/register

Registers a new user account from an email and password and starts email verification.

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_auth.registerBody",
  "$ref-value": {
    "properties": {
      "email": {
        "type": "string"
      },
      "password": {
        "minLength": 8,
        "type": "string"
      },
      "subscribe_to_blog": {
        "type": "boolean"
      }
    },
    "required": [
      "email",
      "password"
    ],
    "type": "object"
  }
}

Response Body

201application/json

Created

type: unknown

{
  "$ref": "#/components/schemas/authv1.RegisterResponse",
  "$ref-value": {
    "properties": {
      "email_verification_sent": {
        "type": "boolean"
      },
      "message": {
        "type": "string"
      },
      "user_id": {
        "type": "string"
      },
      "verification_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/register" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string",
    "password": "stringst"
  }'

Created

application/json

{
  "$ref": "#/components/schemas/authv1.RegisterResponse",
  "$ref-value": {
    "properties": {
      "email_verification_sent": {
        "type": "boolean"
      },
      "message": {
        "type": "string"
      },
      "user_id": {
        "type": "string"
      },
      "verification_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}